/* Core Styling */
body {
    font-family: 'Quicksand', sans-serif;
    font-weight: 300; 
	font-size: 14px;
	letter-spacing:1px;
    line-height:1.5;
    margin: 0;
    color: #001a3d; /* actintel dark blue */
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: auto;
    margin-right:auto;
    background-color: #fafafb; 
}
html {
    scroll-behavior: smooth; /* Smooth scrolling effect when the link is clicked */
}
* {box-sizing: border-box;}
/* Animations */
@keyframes rise {
    from { transform: translateY(50px); opacity: 0; }
    to { transform: translateY(0); opacity: 1; }
}
.rise-animation { animation: rise 1s ease-out; }
.zoom-animation:hover {
    transform: scale(1.05);
    transition: transform 0.5s;
}
/* Split Containers */
.flex_container {
    display:flex;
    flex-wrap:wrap;
    justify-content: space-between;
	width:100%;
}
.flex-box {
    flex: 1; 
    background-color: #f0f0f0;
    border: none;
    box-sizing: border-box;
}
.grid_left_container {
    display: grid;
    grid-template-columns: 1fr 1.5fr;
    justify-content: space-between;
	width:100%;
}
.grid_right_container {
    display: grid;
    grid-template-columns: 1.5fr 1fr;
    justify-content: space-between;
	width:100%;
}
@media (max-width: 600px) {
/* Stacks the columns on top of each other when the screen is less than 600px wide */
    .flex_container {
        flex-direction: column;
    }
    /* .grid_left_container, .grid_right_container  {
        grid-template-columns: 1fr; 
    } */
}
/* -- Ends Split Containers -- */
/* Section Specifics */
.trapezoid-box {
    background: rgba(10, 10, 50, 0.75);
    clip-path: polygon(0 0, 60% 0, 100% 100%, 0% 100%); /* Semi-opaque trapezoid [cite: 23] */
    padding-top:150px;
    padding-left: 125px;
	padding-right:250px;
	font-weight:15px;
	color: white;
    width: 60%;
    max-width: 750px;
    left:0px;
}
.head-section {
    display: flex; 
    background-size: cover; 
	height: 360px;
	width:100%;
	margin-top:50px;
}

.blue-banner, .dark-blue-bar {
    background-color: #001a3d; 
    color: white;
    text-align: center;
    padding: 10px;
	width:100%;
}
.steel-blue-bar {
    background-color: #153D63; 
    color: white;
    text-align: center;
    padding: 10px;
	width:100%;
}
.sbb-h3 {
	max-width: 100%;
    color: white;
    font-size: 1.5rem;
	font-weight: 200;
    margin-bottom: 10px;
    line-height: 1.2;
	padding: 0px;
}
.text-container {
    /* Horizontally center the container itself */
    margin-left: auto;
    margin-right: auto;
    font-weight: 300;
    /* Set the maximum width for larger screens */
    max-width: 750px; /* Adjust the value as needed (e.g., 800px, 1000px) */
    /* Ensure the container takes up available space on smaller screens */
    min-width: 25%; 
    /* Center the text inside the container */
    text-align: left;
    /* padding: 0 15px; */
}
.das {
	min-height: 50px;
    max-width: 400px;
    width: 360px;
}
.data-analysis-section {
	/* display:flex; */
	width:100%;
    height: 450px;
    overflow-y:hidden;
    color: black;
}
.data-analysis-section h3 {
    color: #003366; /* Specific blue for sub-titles */
    font-size: 1.5rem;
	font-weight: 400;
    margin-bottom: 10px;
    line-height: 1.5;
    width:400px;
}
.btn-services {
	position:relative;
	top:15px;
	left:20%;;
	width: 160px;
    padding: 10px;
    border: 1px solid #001a3d;
    background: transparent;
    transition: background 0.3s;
    font-size: 0.9rem;
	font-weight: 300;
    text-decoration: none;
    color: #001a3d;	
	text-align: center;
	background: #ADC2D1;
}
.btn-services:hover {
    background: #001a3d;
    color: white;
}
.kol-text  {
	color: #003366; 
	font-weight: 300;
    margin-left: 0; 
	text-align: left;
}
.kol-text p {
    width:370px;
    margin-left: auto;
    margin-right: auto;
}
.kol-text h3 {
    width:370px;
    margin-left: auto;
    margin-right: auto;
    font-size: 1.5rem;
	font-weight: 700;
    line-height: 1.2;
	text-align: left;
}
.kol-image-container {
	position: relative; 
    overflow-y: hidden;
    max-height: 450px;
    right:0px;
}
.kol-image-box  {
	display: block;
	width: 100%;
	height: auto;	
}
.kol-image-banner  {
	position: absolute;
    bottom: 30px;
	background: rgba(20,20,20,0.65);
	color:#f1f1f1;
	width: 100%;
	transition: 1s, ease;
	font-weight: 600;
	font-size:18px;
	padding: 20px;
	text-align: center;
}
.why-actintel {
	background-color: #001a3d;
    text-align: center;
    padding: 5px;
	display: flex;
	width: 100%;
}
.why-actintel-bar{
    background-color: #001a3d; 
    color: white;
	font-size:1.2rem;
    text-align: center;
    padding: 0px;
	width:100%;
}
.infographic-center {
	position: relative;
	height: 460px;
	margin-top: 20px;
}

/* Individual text groups */
.info-graph {
	max-height:30%;
	display: block;
	align-items: center;
/* 	justify-content: center;
	text-align: left;
   margin-bottom: 30px; */

}
.ig-img {
    position: relative;
    max-width: 30%;
    top:100px;
    width:200px;
    left: 45%;
    transform: translate(-70%, -70%); 
}

.info-graph h3 {
    color: #003366; /* Specific blue for sub-titles */
    font-size: 0.9rem;
    margin-bottom: 2px;
    line-height: 1.2;
}
.ip-1  {position: relative; margin-left:0px;margin-top: -150px;width:300px;}
.ip-2  {position: relative; margin-left:0px;margin-top:50px;width:300px;}
.ip-3  {position: relative; margin-left:0px;margin-top:50px;width:300px;}
.ip-4  {position: relative; margin-left:680px;margin-top:-170px;width:240px;}
.ip-5  {position: relative; margin-left:680px;margin-top:-370px;width:240px;}
.div-about  {width:160px; position:relative; margin-left:370px; margin-top:200px;} 
.info-graph p {
    /* font-size: 0.95rem; */
    font-weight: 300; /* To differentiate body from bold headers */
    line-height: 1.2;
	margin-top:0px;
}
/* --- Arrow Heads --- */
.arrow {
	position: absolute;
	width: 130px;
	height: 130px;
	background-repeat: no-repeat;
	background-size: contain;
	z-index: 1;
}
.arrow-selection { top:-5%; left: 34%; width: 70px; background-image: url('../images/NavyBlueArrow.svg'); transform:rotate(-30deg);}
.arrow-bio { top: 6%; right: 29%; width: 60px; background-image: url('../images/LightBlueArrow.svg'); transform:rotate(25deg);}
.arrow-app { bottom: 10%; left: 30%; width: 90px; background-image: url('../images/GreyArrow.svg'); transform:rotate(50deg);}
.arrow-quality { bottom: 18%; right: 25%; width: 60px;  background-image: url('../images/DarkBlueArrow.svg'); transform:rotate(-50deg);}
.arrow-network { top: 35%; left: 26%;width: 60px; background-image: url('../images/BlueGreyArrow.svg');transform: translateY(0%) rotate(0deg);} 
/* Button below the infographic */
.btn-about {
    display: block; /* inline-block; */
	width:200px;
    margin-top: 0px;
	text-align: center;
	margin-bottom:20px;
    padding: 15px;
    border: 1px solid #001a3d;
    background: transparent;
    text-decoration: none;
    font-size:1.2rem;
	font-weight: 700;
    color: #001a3d;
    transition: background 0.5s;
}
.btn-about:hover {
    background: #001a3d;
    color: white;
}
/* Header & Menu */
.main-logo  {
	width:200px;
	margin-left:21%;
}

.header {
	position: fixed;
    display: flex;
    /* justify-content: space-between; */
    padding: 2px 2px;
	z-index:10;
	width: 100%;
	background-image: linear-gradient(to bottom, rgba(250,250,250,1), rgba(240,240,240,1));
	border-bottom: 2px black;
}
.nav-menu ul{
	list-style-type: none;
	background-image: linear-gradient(to bottom, rgba(250,250,250,1), rgba(240,240,240,1));
    /* list-style: none; */
	padding: 0px;
	margin: 0px;
	overflow: hidden;
    text-align:center;
}
.nav-menu a{
	color: black;
	text-decoration: none;
	padding: 23px 10px 23px 10px;
	display: block;
	text-align: center;
    left:10px;
}
.nav-menu a:hover {
	background-color: hsl(0,0%, 85%);
	color:black;
	font-weight:900;
}
.nav-menu li{
	float: left;
}
.nav-menu li li{
	float: none; 
}
.nav-menu li li a{
	text-align: left;
	padding:10px 5px 10px 5px;
}				
.dropdown-content {
    display: none;
    width: 280px;
    position: absolute;
    background: white;
	padding:0px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.8);
}
.dropdown:hover .dropdown-content { 
	display: list-item;
	line-height:1;
	background-color: #f4f4f7;
	border-left: 2px white;
	opacity:0.9;
} 

.nav-footer {
    display: flex;
    list-style: none;
    background: #fafafb;
    padding: 0px;
    margin:0px;
    padding-top:2px;
}
.footer-item {
    position: relative; /* Anchor for the submenu */
}
.footer-item a {
  color: black;
  padding: 20px 20px;
  text-decoration: none;
  display: block;
}
.footer-item a:hover {
	background-color: hsl(0,0%, 85%);
	color:black;
	font-weight:900;
}
.dropup-content  {
    display: none; 
    position: absolute;
    left: 0;
    min-width: 260px;
    background: #444;
    list-style: none;
    line-height: 1;
    padding: 0px 0px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.8);
  /* POSITIONING MAGIC */
    bottom: 100%;       /* Aligns bottom of submenu to top of parent */
    padding-bottom: 1px; /* Small gap between menu and submenu */ 
}
.dropup:hover .dropup-content { 
	display: list-item;
    z-index:10;
	background-color: #f4f4f7;
	border-left: 1px #2e2eae;
	opacity:1;
} 
.dropup-content  li a{
	line-height:1.6;
    padding:5px 5px;
}
/* Footer Styling */
.space-bar {
	background-color: #001a3d;
    text-align: center;
    padding: 25px;
	display: flex;
	width: 100%;
	float:bottom;
}

.footer{
    display: grid;
    grid-template-areas: "dnb links";
    grid-template-columns: 1fr 6fr;
    padding: 0px;
}
.footer div.dnb {
	grid-area: dnb;
}
.dnb-logo  {
	position:relative;
	left: 15px;
	bottom: 0px;
}
.footer div.links {
    grid-area: links;
}
.links a {
	text-decoration:none;
	padding-left:20px;
    padding-right:20px;
	font-weight: 700;
	text-align: center;
}
.links p {
	text-decoration:none;
	padding-left:40px;
	font-weight: 200;
	text-align: center;
}
#scroll-up {
	display: none;
	position: fixed;
	right: 20px;
	bottom: 10px;
	z-index: 10;
	width: 30px;
	font-size: 20px;
	height: 30px;
	cursor: pointer;
	background-color: #001a3d;
    color:#f0f0f0;
    padding-right:25px;
}	
#scroll-up:hover {
	background-color:#555;
}
/* Container for the infographic and text */
.infographic-center {
    background-color: #f4f7f9;
	width: 100%;
}


	
